<div class="container mt-4">
  <div class="card">
    <div class="card-header">
      <h3>User: {{user?.username}}</h3>
    </div>
    <div class="card-body">
      <ng-container *ngIf="user?.role == 'ROLE_ADMIN'; else userSeller">

        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text bg-primary"><b class="text-light">Firstname</b></span>
          </div>
          <input type="text" class="form-control" disabled [ngModel]="user?.firstName">
        </div>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text bg-primary"><b class="text-light">Lastname</b></span>
          </div>
          <input type="text" class="form-control" disabled [ngModel]="user?.lastName">
        </div>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text bg-primary"><b class="text-light">Username</b></span>
          </div>
          <input type="text" class="form-control" disabled [ngModel]="user?.username">
        </div>
        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text bg-primary"><b class="text-light">Role</b></span>
          </div>
          <input type="text" class="form-control" disabled [ngModel]="user?.role">
        </div>

      </ng-container>
      <ng-template #userSeller>
        <ngb-tabset justify="start" (tabChange)="tabChanged($event)">
          <ngb-tab title="User Details">
            <ng-template ngbTabContent>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Firstname</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.firstName">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Lastname</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.lastName">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Username</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.username">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Address</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.address">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Phone number</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.phoneNumber">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Email</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.email">
              </div>
              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text bg-primary"><b class="text-light">Role</b></span>
                </div>
                <input type="text" class="form-control" disabled [ngModel]="user?.role">
              </div>
            </ng-template>
          </ngb-tab>
          <ngb-tab id="userAdds" title="User Adds">
            <ng-template ngbTabContent>
              <ng-container *ngIf="userAdds.length == 0; else showAdds">
                <div class="alert alert-primary">
                  This user doesn't have any adds
                </div>
              </ng-container>
              <ng-template #showAdds>
                <table class="table table-hover table-fluid">
                  <thead class="bg-primary text-light">
                    <th>Make</th>
                    <th>Model</th>
                    <th>Year</th>
                    <th>Price</th>
                  </thead>
                  <tbody>
                    <tr *ngFor="let add of userAdds" [routerLink]="['/adds', add.id]" ngbTooltip="View">
                      <td>{{add.make}}</td>
                      <td>{{add.model}}</td>
                      <td>{{add.year}}</td>
                      <td>{{add.price}}</td>
                    </tr>
                  </tbody>
                </table>
              </ng-template>
            </ng-template>
          </ngb-tab>
        </ngb-tabset>
      </ng-template>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-6">
          <button class="btn btn-danger float-left" (click)="open(deleteUser)">Delete</button>
        </div>
        <div class="col-6">
          <button class="btn btn-secondary float-right" (click)="onBack()">Back</button>
        </div>
      </div>
    </div>
  </div>
</div>


<ng-template #deleteUser let-c="close" let-d="dismiss">
  <div class="modal-header bg-danger">
    <h4 class="modal-title text-light" id="modal-basic-title">Delete</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <h5>Are you sure you want to delete this user?</h5>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-danger" (click)="deleteSelectedUser();c()">Delete</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-default" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>